#!/bin/sh
#
# $FreeBSD: ports/mail/mailgraph/files/mailgraph.sh.in,v 1.2 2006/02/20 20:47:11 dougb Exp $
#
# PROVIDE: mailgraph
# REQUIRE: DAEMON
#
# Add the following line to /etc/rc.conf to enable mailgraph:
#
# mailgraph_enable="YES"
#

. /etc/rc.subr

name=mailgraph
rcvar=`set_rcvar`

command=/usr/local/sbin/mailgraph.pl > /dev/null 2>&1
command_interpreter=/usr/bin/perl
stop_postcmd=stop_postcmd

stop_postcmd()
{
    rm -f $pidfile
}

mailgraph_enable=${mailgraph_enable:-"NO"}
mailgraph_pidfile=${mailgraph_pidfile:-"/var/db/mailgraph/mailgraph.pid"}
mailgraph_flags=${mailgraph_flags:-"--logfile /var/log/maillog --daemon-rrd=/var/db/mailgraph --ignore-localhost --daemon --daemon-pid=${mailgraph_pidfile}"}
mailgraph_user=${mailgraph_user:-"www"}
mailgraph_group=${mailgraph_group:-"www"}
mailgraph_chdir=${mailgraph_chdir:-"/var/db/mailgraph"}

load_rc_config $name

pidfile=${mailgraph_pidfile}

run_rc_command "$1"
